import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema';
import { SortOrderInputObjectSchema as SortOrderInputObjectSchema } from './SortOrderInput.schema';
import { ClaimOrderByWithRelationInputObjectSchema as ClaimOrderByWithRelationInputObjectSchema } from './ClaimOrderByWithRelationInput.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  claimId: SortOrderSchema.optional(),
  filename: SortOrderSchema.optional(),
  mimeType: SortOrderSchema.optional(),
  filePath: z.union([SortOrderSchema, z.lazy(() => SortOrderInputObjectSchema)]).optional(),
  claim: z.lazy(() => ClaimOrderByWithRelationInputObjectSchema).optional()
}).strict();
export const ClaimFileOrderByWithRelationInputObjectSchema: z.ZodType<Prisma.ClaimFileOrderByWithRelationInput> = makeSchema() as unknown as z.ZodType<Prisma.ClaimFileOrderByWithRelationInput>;
export const ClaimFileOrderByWithRelationInputObjectZodSchema = makeSchema();
